#!/bin/bash

if [ $# != 0 ]; then
	echo "modis_integrate_result usage: "
	exit 1
fi

if [ -z "$GISBASE" ] ; then
    echo "ERROR: You must be in GRASS GIS to run this program." 1>&2
    exit 1
fi

if [ -z "$R_BIN" ]; then
	ENVFILE=`dirname $0`/modis_setenv.txt
	echo $ENVFILE
	if [ ! -e $ENVFILE ]; then
		g.message -e "modis_setenv.txt was not found. You must put modis_setenv.txt in the same directory as this script."
		exit 1
	fi
	source $ENVFILE
fi


#
# re-set null value
#
for I in `g.mlist type=rast pattern="res_*"`; do

	r.null -r map=$I
	r.null map=$I setnull=0 2> /dev/null

done

if [ `g.mlist type=rast pattern="res_*" | wc -w` -eq 0 ]; then
	g.message -e "result raster layer was not found."
	exit 1
fi

r.patch --o input=`g.mlist type=rast pattern="res_*" separator=comma` output="result_temp"

#
# fix pixel values to 0 - 100.
#
r.mapcalc "result_tree_cover_dep=if(result_temp<0, 0, if(result_temp>100, 100, int(result_temp)))"
g.remove rast="result_temp"

#g.mremove -f rast="res_*"
